% finds rows which has 'no_of_zeros' zeros before the first one
function found_rows = find_rows(A, no_of_zeros)
	found_rows = zeros(1,0);
	for i = 1 : size(A)(1)
		if (isequal(A(i,1:no_of_zeros),zeros(1, no_of_zeros)) && isequal(A(i, no_of_zeros + 1), 1))
			found_rows(end + 1) = i;
		end
	endfor	
endfunction